---
title: 'Document: transitionrun event'
slug: Web/API/Document/transitionrun_event
tags:
  - Document
  - Event
  - Reference
  - TransitionEvent
  - Web
  - transitionrun
---
<div>{{APIRef}}{{SeeCompatTable}}</div>

<p>The <strong><code>transitionrun</code></strong> event is fired when a <a href="/en-US/docs/CSS/Using_CSS_transitions">CSS transition</a> is first created, i.e. before any {{cssxref("transition-delay")}} has begun.</p>

<table class="properties">
 <tbody>
  <tr>
   <th scope="row">Bubbles</th>
   <td>Yes</td>
  </tr>
  <tr>
   <th scope="row">Cancelable</th>
   <td>No</td>
  </tr>
  <tr>
   <th scope="row">Interface</th>
   <td>{{domxref("TransitionEvent")}}</td>
  </tr>
  <tr>
   <th scope="row">Event handler property</th>
   <td>{{domxref("GlobalEventHandlers/ontransitionrun", "ontransitionrun")}}</td>
  </tr>
 </tbody>
</table>

<p>The original target for this event is the {{domxref("Element")}} that had the transition applied. You can listen for this event on the {{domxref("Document")}} interface to handle it in the capture or bubbling phases. For full details on this event please see the page on <a href="/en-US/docs/Web/API/HTMLElement/transitionrun_event">HTMLElement: transitionrun</a>.</p>

<h2 id="Examples">Examples</h2>

<p>This code adds a listener to the <code>transitionrun</code> event:</p>

<pre class="brush: js">document.addEventListener('transitionrun', () =&gt; {
  console.log('Transition is running but hasn't necessarily started transitioning yet');
});</pre>

<p>The same, but using the {{domxref("GlobalEventHandlers/ontransitionrun", "ontransitionrun")}} property instead of <code>addEventListener()</code>:</p>

<pre class="brush: js">document.ontransitionrun = () =&gt; {
  console.log('Transition started running');
};</pre>

<p><a href="/en-US/docs/Web/API/HTMLElement/transitionrun_event#Live_example">See a live example of this event.</a></p>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <thead>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Status</th>
   <th scope="col">Comment</th>
  </tr>
 </thead>
 <tbody>
  <tr>
   <td>{{SpecName('CSS3 Transitions', '#transitionrun', 'transitionrun')}}</td>
   <td>{{Spec2('CSS3 Transitions')}}</td>
   <td>Initial definition.</td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<p>{{Compat("api.Document.transitionrun_event")}}</p>

<h2 id="See_also">See also</h2>

<ul>
 <li>The {{domxref("GlobalEventHandlers.ontransitionrun")}} event handler</li>
 <li>The {{domxref("TransitionEvent")}} interface</li>
 <li>CSS properties: {{cssxref("transition")}}, {{cssxref("transition-delay")}}, {{cssxref("transition-duration")}}, {{cssxref("transition-property")}}, {{cssxref("transition-timing-function")}}</li>
 <li>Related events: {{domxref("Document/transitionend_event", "transitionend")}}, {{domxref("Document/transitionstart_event", "transitionstart")}}, {{domxref("Document/transitioncancel_event", "transitioncancel")}}</li>
 <li>This event on {{domxref("HTMLElement")}} targets: {{domxref("HTMLElement/transitionrun_event", "transitionrun")}}</li>
 <li>This event on {{domxref("Window")}} targets: {{domxref("Window/transitionrun_event", "transitionrun")}}</li>
</ul>
